QGIS Application - Bug report #20365
Python3 doctest missing in QGIS 3.4.1
2018-11-05 02:01 PM - Jonathan Willitts

Status: Open

Priority: Low

Assignee:

Category: Build/Install

Affected QGIS version:3.4.0 Regression?: Yes
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28186
Description

The Python3 implementation shipped with QGIS 3.4.1 Windows (64 bit) versions is missing the doctest module.

Note the below steps work fine/as expected QGIS 3.2.3

Steps to reproduce

Open OSGeo4W shell (or shell configured for QGIS Python):

C:\>py3_env

C:\>SET PYTHONPATH=

C:\>SET PYTHONHOME=C:\PROGRA~1\QGIS3~1.4\apps\Python37

C:\>PATH

C:\PROGRA~1\QGIS3~1.4\apps\Python37;C:\PROGRA~1\QGIS3~1.4\apps\Python37\Scripts;C:\PROGRA~1\QGIS3~1.4\apps\Pythg

ython27\Scripts;C:\PROGRA~1\QGIS3~1.4\bin;C:\Windows\system32;C:\Windows;C:\Windows\system32\WBem

C:\>python
Python 3.7.0 (v3.7.0:1bf9¢cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)] on win32
Type "help", "copyright”, "credits" or "license" for more information.
>>> import doctest
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
ModuleNotFoundError: No module named 'doctest’

>>>

History

#1 - 2018-11-05 03:27 PM - Jonathan Willitts

Just to add, copying in doctest.py from another version (e.g. direct from Python's GitHub repository here, or if you already have QGIS 3.2 installed from:

\QGIS 3.2\apps\Python36\Lib\doctest.py, or ) seems to work as a temporary fix (enough to allow me to run flake8 anyway!).

#2 - 2018-11-05 08:00 PM - Saber Razmjooei
- Priority changed from Normal to Low

2025-04-26 12
https://github.com/python/cpython/blob/70d56fb52582d9d3f7c00860d6e90570c6259371/Lib/doctest.py

- Category changed from Unknown to Build/Install
